import { Rect } from "../../../Core/Rect";
import type { Thickness } from "../../../Core/Thickness";
import { ELayoutManagerType } from "../../../types/LayoutManagerType";
import type { Size } from "../../../types/Size";
import type { AxisBase2D } from "../../Visuals/Axis/AxisBase2D";
import type { BaseAxisLayoutStrategy } from "../BaseAxisLayoutStrategy";
import { LayoutManager } from "../LayoutManager";
export declare class PolarLayoutManager extends LayoutManager {
    type: ELayoutManagerType;
    /**
     * Layout strategy for the outer angular axes
     */
    protected angularOuterAxesLayoutStrategyProperty: BaseAxisLayoutStrategy;
    /**
     * Layout strategy for the inner angular axes
     */
    protected angularInnerAxesLayoutStrategyProperty: BaseAxisLayoutStrategy;
    /**
     * Layout strategy for layout of outer radial axes
     */
    protected radialOuterAxesLayoutStrategyProperty: BaseAxisLayoutStrategy;
    /**
     * Layout strategy for layout of inner radial axes
     */
    protected radialInnerAxesLayoutStrategyProperty: BaseAxisLayoutStrategy;
    get angularOuterAxesLayoutStrategy(): BaseAxisLayoutStrategy;
    set angularOuterAxesLayoutStrategy(value: BaseAxisLayoutStrategy);
    get angularInnerAxesLayoutStrategy(): BaseAxisLayoutStrategy;
    set angularInnerAxesLayoutStrategy(value: BaseAxisLayoutStrategy);
    get radialOuterAxesLayoutStrategy(): BaseAxisLayoutStrategy;
    set radialOuterAxesLayoutStrategy(value: BaseAxisLayoutStrategy);
    get radialInnerAxesLayoutStrategy(): BaseAxisLayoutStrategy;
    set radialInnerAxesLayoutStrategy(value: BaseAxisLayoutStrategy);
    getAxisLayoutStrategy(axis: AxisBase2D): BaseAxisLayoutStrategy;
    layoutChart(viewportSize: Size, padding?: Thickness): Rect;
    protected groupAxesByLayoutStrategy(): void;
}
